# List of Available UV Modules

## Bio

|Module|Description|Available versions|
|--|--|--|
|**[FastQC](http://www.bioinformatics.babraham.ac.uk/projects/download.html)**|A quality control application for high throughput sequence data|<nobr>0.11.3</nobr>|
|**[GATK](http://www.broadinstitute.org/gatk/)**|The Genome Analysis Toolkit or GATK is a software package developed at the Broad Institute to analyse next-generation resequencing data. The toolkit offers a wide variety of tools, with a primary focus on variant discovery and genotyping as well as strong emphasis on data quality assurance. Its robust architecture, powerful processing engine and high-performance computing features make it capable of taking on projects of any size.|<nobr>2.6-5-Java-1.7.0_79</nobr>|
|**[SnpEff](http://snpeff.sourceforge.net/)**|Genetic variant annotation and effect prediction toolbox.|<nobr>4.1_G</nobr>|

## Cae

|Module|Description|Available versions|
|--|--|--|
|**ANSYS**|&nbsp;|<nobr>16.1</br>17.0</nobr>|
|**[OpenFOAM](http://www.openfoam.com/)**|OpenFOAM is a free, open source CFD software package. OpenFOAM has an extensive range of features to solve anything from complex fluid flows involving chemical reactions, turbulence and heat transfer, to solid dynamics and electromagnetics.|<nobr>2.2.2-intel-2015b</br>2.3.0-intel-2015b</nobr>|

## Chem

|Module|Description|Available versions|
|--|--|--|
|**[ABINIT](http://www.abinit.org/)**|Abinit is a plane wave pseudopotential code for doing condensed phase electronic structure calculations using DFT.|<nobr>7.10.1-foss-2015b</br>7.10.1-intel-2015b</nobr>|
|**[Libint](https://sourceforge.net/p/libint/)**|Libint library is used to evaluate the traditional (electron repulsion) and certain novel two-body matrix elements (integrals) over Cartesian Gaussian functions used in modern atomic and molecular theory.|<nobr>1.1.4-intel-2015b</nobr>|
|**[libxc](http://www.tddft.org/programs/octopus/wiki/index.php/Libxc)**|Libxc is a library of exchange-correlation functionals for density-functional theory. The aim is to provide a portable, well tested and reliable set of exchange and correlation functionals.|<nobr>2.2.1-intel-2015b</nobr>|

## Compiler

|Module|Description|Available versions|
|--|--|--|
|**[GCC](http://gcc.gnu.org/)**|The GNU Compiler Collection includes front ends for C, C++, Objective-C, Fortran, Java, and Ada, as well as libraries for these languages (libstdc++, libgcj,...).|<nobr>4.9.3-binutils-2.25</br>5.1.0-binutils-2.25</br>4.4.7-system</br>4.9.3</br>6.2.0-2.27.lua</br>4.9.3-2.25.lua</nobr>|
|**GCCcore**|&nbsp;|<nobr>5.4.0.lua</br>6.2.0.lua</br>4.9.3.lua</nobr>|
|**[icc](http://software.intel.com/en-us/intel-compilers/)**|C and C++ compiler from Intel|<nobr>2015.3.187-GNU-5.1.0-2.25</br>2017.0.098-GCC-5.4.0-2.26.lua</nobr>|
|**[ifort](http://software.intel.com/en-us/intel-compilers/)**|Fortran compiler from Intel|<nobr>2015.3.187-GNU-5.1.0-2.25</br>2017.0.098-GCC-5.4.0-2.26.lua</nobr>|
|**LLVM**|&nbsp;|<nobr>3.9.0-intel-2017.00.lua</br>3.8.0-foss-2016a.lua</nobr>|

## Data

|Module|Description|Available versions|
|--|--|--|
|**[GDAL](http://www.gdal.org/)**|GDAL is a translator library for raster geospatial data formats that is released under an X/MIT style Open Source license by the Open Source Geospatial Foundation. As a library, it presents a single abstract data model to the calling application for all supported formats. It also comes with a variety of useful commandline utilities for data translation and processing.|<nobr>2.0.1-foss-2015b</nobr>|
|**[HDF5](http://www.hdfgroup.org/HDF5/)**|HDF5 is a unique technology suite that makes possible the management of extremely large and complex data collections.|<nobr>1.8.13-intel-2015b</br>1.8.16-intel-2015b</br>1.8.15-patch1-foss-2015b</br>1.8.16-foss-2016a.lua</nobr>|
|**[netCDF](http://www.unidata.ucar.edu/software/netcdf/)**|NetCDF (network Common Data Form) is a set of software libraries and machine-independent data formats that support the creation, access, and sharing of array-oriented scientific data.|<nobr>4.3.2-intel-2015b</br>4.3.3.1-foss-2015b</nobr>|

## Devel

|Module|Description|Available versions|
|--|--|--|
|**[Autoconf](http://www.gnu.org/software/autoconf/)**|Autoconf is an extensible package of M4 macros that produce shell scripts to automatically configure software source code packages. These scripts can adapt the packages to many kinds of UNIX-like systems without manual user intervention. Autoconf creates a configuration script for a package from a template file that lists the operating system features that the package can use, in the form of M4 macro calls.|<nobr>2.69-GNU-4.9.3-2.25</br>2.69-GNU-5.1.0-2.25</br>2.69.lua</br>2.69-intel-2017.00.lua</br>2.69-foss-2016a.lua</nobr>|
|**[Automake](http://www.gnu.org/software/automake/automake.html)**|Automake: GNU Standards-compliant Makefile generator|<nobr>1.15-GNU-4.9.3-2.25</br>1.15-GNU-5.1.0-2.25</br>1.15.lua</br>1.15-intel-2017.00.lua</br>1.15-foss-2016a.lua</nobr>|
|**[Autotools](http://autotools.io)**|This bundle collect the standard GNU build tools: Autoconf, Automake and libtool|<nobr>20150215-GNU-4.9.3-2.25</br>20150215-GNU-5.1.0-2.25</br>20150215.lua</br>20150215-intel-2017.00.lua</br>20150215-foss-2016a.lua</nobr>|
|**[Boost](http://www.boost.org/)**|Boost provides free peer-reviewed portable C++ source libraries.|<nobr>1.58.0-intel-2015b-Python-2.7.9</br>1.60.0-foss-2015g-Python-2.7.9.lua</nobr>|
|**[CMake](http://www.cmake.org)**|CMake, the cross-platform, open-source build system. CMake is a family of tools designed to build, test and package software.|<nobr>3.0.0-intel-2015b</br>3.4.1-foss-2015b</br>3.6.2.lua</br>3.5.2-foss-2016a.lua</br>3.6.2-intel-2017.00.lua</nobr>|
|**[Doxygen](http://www.doxygen.org)**|Doxygen is a documentation system for C++, C, Java, Objective-C, Python, IDL (Corba and Microsoft flavors), Fortran, VHDL, PHP, C#, and to some extent D.|<nobr>1.8.7-intel-2015b</br>1.8.10-foss-2015b</nobr>|
|**[M4](http://www.gnu.org/software/m4/m4.html)**|GNU M4 is an implementation of the traditional Unix macro processor. It is mostly SVR4 compatible although it has some extensions (for example, handling more than 9 positional parameters to macros). GNU M4 also has built-in functions for including files, running shell commands, doing arithmetic, etc.|<nobr>1.4.17-GCC-4.9.3-binutils-2.25</br>1.4.17-GNU-4.9.3-2.25</br>1.4.17</br>1.4.17-GNU-5.1.0-2.25</br>1.4.17-intel-2015b</br>1.4.17-foss-2015b</br>1.4.17-GCCcore-5.4.0.lua</br>1.4.17-GCCcore-6.2.0.lua</br>1.4.17-intel-2017.00.lua</br>1.4.17-GCCcore-4.9.3.lua</br>1.4.17-foss-2016a.lua</nobr>|
|**[make](http://www.gnu.org/software/make/make.html)**|make-3.82: GNU version of make utility|<nobr>3.82-intel-2015b</nobr>|
|**[Maven](http://maven.apache.org/index.html)**|Binary maven install, Apache Maven is a software project management and comprehension tool. Based on the concept of a project object model (POM), Maven can manage a project's build, reporting and documentation from a central piece of information.|<nobr>3.3.9</nobr>|
|**[ncurses](http://www.gnu.org/software/ncurses/)**|The Ncurses (new curses) library is a free software emulation of curses in System V Release 4.0, and more. It uses Terminfo format, supports pads and color and multiple highlights and forms characters and function-key mapping, and has all the other SYSV-curses enhancements over BSD Curses.|<nobr>5.9-intel-2015b</br>5.9-foss-2015g</br>5.9-foss-2015b</br>6.0.lua</br>6.0</br>6.0-intel-2017.00.lua</br>6.0-foss-2016a.lua</nobr>|
|**[SQLite](http://www.sqlite.org/)**|SQLite: SQL Database Engine in a C Library|<nobr>3.8.8.1-foss-2015g</br>3.8.8.1-intel-2015b</br>3.8.8.1-foss-2015b</br>3.9.2-intel-2017.00.lua</br>3.9.2-foss-2016a.lua</nobr>|

## Lang

|Module|Description|Available versions|
|--|--|--|
|**[Bison](http://www.gnu.org/software/bison)**|Bison is a general-purpose parser generator that converts an annotated context-free grammar into a deterministic LR or generalized LR (GLR) parser employing LALR(1) parser tables.|<nobr>3.0.4-GCC-4.9.3-binutils-2.25</br>3.0.2-intel-2015b</br>3.0.4-foss-2015b</br>3.0.4.lua</br>3.0.4-GCCcore-5.4.0.lua</br>3.0.4-GCCcore-6.2.0.lua</br>3.0.4-GCCcore-4.9.3.lua</nobr>|
|**[flex](http://flex.sourceforge.net/)**|Flex (Fast Lexical Analyzer) is a tool for generating scanners. A scanner, sometimes called a tokenizer, is a program which recognizes lexical patterns in text.|<nobr>2.5.39-GCC-4.9.3-binutils-2.25</br>2.5.39-intel-2015b</br>2.5.37-intel-2015b</br>2.5.39-foss-2015b</br>2.6.0.lua</br>2.6.0-GCCcore-5.4.0.lua</br>2.6.0-GCCcore-6.2.0.lua</br>2.5.39-GCCcore-4.9.3.lua</nobr>|
|**[Java](http://java.com/)**|Java Platform, Standard Edition (Java SE) lets you develop and deploy Java applications on desktops and servers.|<nobr>1.8.0_51</br>1.7.0_79</br>1.8.0_72</nobr>|
|**[Lua](http://www.lua.org/)**|Lua is a powerful, fast, lightweight, embeddable scripting language. Lua combines simple procedural syntax with powerful data description constructs based on associative arrays and extensible semantics. Lua is dynamically typed, runs by interpreting bytecode for a register-based virtual machine, and has automatic memory management with incremental garbage collection, making it ideal for configuration, scripting, and rapid prototyping.|<nobr>5.1.4-8</nobr>|
|**[NASM](http://www.nasm.us/)**|NASM: General-purpose x86 assembler|<nobr>2.11.08-foss-2015b</nobr>|
|**[Perl](http://www.perl.org/)**|Larry Wall's Practical Extraction and Report Language|<nobr>5.16.3-intel-2015b</br>5.22.2-intel-2017.00.lua</nobr>|
|**[Python](http://python.org/)**|Python is a programming language that lets you work more quickly and integrate your systems more effectively.|<nobr>2.7.9-intel-2015b</br>2.7.9-foss-2015g</br>2.7.9-foss-2015b</br>3.5.2-intel-2017.00.lua</br>3.5.2-foss-2016a.lua</br>2.7.11-foss-2016a.lua</nobr>|
|**[R](http://www.r-project.org/)**|R is a free software environment for statistical computing and graphics.|<nobr>3.1.1-intel-2015b</br>3.2.3-foss-2015b</nobr>|
|**[Tcl](http://www.tcl.tk/)**|Tcl (Tool Command Language) is a very powerful but easy to learn dynamic programming language, suitable for a very wide range of uses, including web and desktop applications, networking, administration, testing and many more.|<nobr>8.5.12-intel-2015b</br>8.6.3-foss-2015g</br>8.6.3-intel-2015b</br>8.6.3-foss-2015b</br>8.6.4-foss-2015b</br>8.6.4-intel-2017.00.lua</br>8.6.4-foss-2016a.lua</nobr>|

## Lib

|Module|Description|Available versions|
|--|--|--|
|**[libffi](http://sourceware.org/libffi/)**|The libffi library provides a portable, high level programming interface to various calling conventions. This allows a programmer to call any function specified by a call interface description at run-time.|<nobr>3.1-intel-2015b</br>3.0.13-foss-2015b</br>3.2.1-GCC-4.4.7-system</nobr>|
|**[libjpeg-turbo](http://sourceforge.net/libjpeg-turbo/)**|libjpeg-turbo is a fork of the original IJG libjpeg which uses SIMD to accelerate baseline JPEG compression and decompression. libjpeg is a library that implements JPEG image encoding, decoding and transcoding.|<nobr>1.4.1-foss-2015b</nobr>|
|**[libpng](http://www.libpng.org/pub/png/libpng.html)**|libpng is the official PNG reference library|<nobr>1.6.9-intel-2015b</br>1.6.17-foss-2015b</nobr>|
|**[libreadline](http://cnswww.cns.cwru.edu/php/chet/readline/rltop.html)**|The GNU Readline library provides a set of functions for use by applications that allow users to edit command lines as they are typed in. Both Emacs and vi editing modes are available. The Readline library includes additional functions to maintain a list of previously-entered command lines, to recall and perhaps reedit those lines, and perform csh-like history expansion on previous commands.|<nobr>6.3-foss-2015g</br>6.3-intel-2015b</br>6.2-intel-2015b</br>6.3-foss-2015b</br>6.3</br>6.3-intel-2017.00.lua</br>6.3-foss-2016a.lua</nobr>|
|**[libtool](http://www.gnu.org/software/libtool)**|GNU libtool is a generic library support script. Libtool hides the complexity of using shared libraries behind a consistent, portable interface.|<nobr>2.4.6-GNU-4.9.3-2.25</br>2.4.6-GNU-5.1.0-2.25</br>2.4.6.lua</br>2.4.6-intel-2017.00.lua</br>2.4.6-foss-2016a.lua</nobr>|
|**[libxml2](http://xmlsoft.org/)**|Libxml2 is the XML C parser and toolchain developed for the Gnome project (but usable outside of the Gnome platform).|<nobr>2.9.2-GCC-4.4.7-system</br>2.9.2-foss-2015b</br>2.9.3-intel-2017.00.lua</nobr>|
|**[PROJ](http://trac.osgeo.org/proj/)**|Program proj is a standard Unix filter function which converts geographic longitude and latitude coordinates into cartesian coordinates|<nobr>4.8.0-foss-2015b</nobr>|
|**[tbb](http://software.intel.com/en-us/articles/intel-tbb/)**|Intel Threading Building Blocks 4.0 (Intel TBB) is a widely used, award-winning C++ template library for creating reliable, portable, and scalable parallel applications. Use Intel TBB for a simple and rapid way of developing robust task-based parallel applications that scale to available processor cores, are compatible with multiple environments, and are easier to maintain. Intel TBB is the most proficient way to implement future-proof parallel applications that tap into the power and performance of multicore and manycore hardware platforms.|<nobr>4.4.2.152</nobr>|
|**[zlib](http://www.zlib.net/)**|zlib is designed to be a free, general-purpose, legally unencumbered -- that is, not covered by any patents -- lossless data-compression library for use on virtually any computer hardware and operating system.|<nobr>1.2.8-GCC-4.9.3-binutils-2.25</br>1.2.8</br>1.2.8-GCC-5.1.0-binutils-2.25</br>1.2.8-intel-2015b</br>1.2.8-foss-2015g</br>1.2.7-intel-2015b</br>1.2.8-foss-2015b</br>1.2.8-GCC-4.4.7-system</br>1.2.8.lua</br>1.2.8-GCCcore-5.4.0.lua</br>1.2.8-GCCcore-6.2.0.lua</br>1.2.8-intel-2017.00.lua</br>1.2.8-GCCcore-4.9.3.lua</br>1.2.8-foss-2016a.lua</nobr>|

## Math

|Module|Description|Available versions|
|--|--|--|
|**GMP**|&nbsp;|<nobr>6.1.0-intel-2017.00.lua</br>6.1.0-foss-2016a.lua</nobr>|
|**[SCOTCH](http://gforge.inria.fr/projects/scotch/)**|Software package and libraries for sequential and parallel graph partitioning, static mapping, and sparse matrix block ordering, and sequential mesh and hypergraph partitioning.|<nobr>6.0.3-intel-2015b</br>6.0.0_esmumps-intel-2015b</nobr>|

## Mpi

|Module|Description|Available versions|
|--|--|--|
|**[impi](http://software.intel.com/en-us/intel-mpi-library/)**|The Intel(R) MPI Library for Linux* OS is a multi-fabric message passing library based on ANL MPICH2 and OSU MVAPICH2. The Intel MPI Library for Linux OS implements the Message Passing Interface, version 2 (MPI-2) specification.|<nobr>5.0.3.048-iccifort-2015.3.187-GNU-5.1.0-2.25</br>2017.0.098-iccifort-2017.0.098-GCC-5.4.0-2.26.lua</nobr>|
|**[OpenMPI](http://www.open-mpi.org/)**|The Open MPI Project is an open source MPI-2 implementation.|<nobr>1.8.8-GNU-4.9.3-2.25</br>1.8.6-GNU-5.1.0-2.25</br>1.8.6-GCC-4.4.7-system</br>1.10.1-GNU-4.9.3-2.25</br>1.10.2-GCC-4.9.3-2.25.lua</nobr>|

## Numlib

|Module|Description|Available versions|
|--|--|--|
|**[FFTW](http://www.fftw.org)**|FFTW is a C subroutine library for computing the discrete Fourier transform (DFT) in one or more dimensions, of arbitrary input size, and of both real and complex data.|<nobr>3.3.4-gompi-2015b</br>3.3.4-gompi-2015e</br>3.3.4-gompi-2015g</br>3.3.4-intel-2015b</br>3.3.5-intel-2017.00.lua</br>3.3.4-gompi-2016a.lua</br>3.3.5-foss-2016a.lua</nobr>|
|**[imkl](http://software.intel.com/en-us/intel-mkl/)**|Intel Math Kernel Library is a library of highly optimized, extensively threaded math routines for science, engineering, and financial applications that require maximum performance. Core math functions include BLAS, LAPACK, ScaLAPACK, Sparse Solvers, Fast Fourier Transforms, Vector Math, and more.|<nobr>11.2.3.187-iimpi-7.3.5-GNU-5.1.0-2.25</br>2017.0.098-iimpi-2017.00-GCC-5.4.0-2.26.lua</nobr>|
|**[OpenBLAS](http://xianyi.github.com/OpenBLAS/)**|OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.|<nobr>0.2.14-GNU-5.1.0-2.25-LAPACK-3.5.0</br>0.2.14-gompi-2015e-LAPACK-3.5.0</br>0.2.14-GNU-4.9.3-2.25-LAPACK-3.5.0</br>0.2.15-GCC-4.9.3-2.25-LAPACK-3.6.0.lua</nobr>|
|**[ScaLAPACK](http://www.netlib.org/scalapack/)**|The ScaLAPACK (or Scalable LAPACK) library includes a subset of LAPACK routines redesigned for distributed memory MIMD parallel computers.|<nobr>2.0.2-gompi-2015b-OpenBLAS-0.2.14-LAPACK-3.5.0</br>2.0.2-gompi-2015e-OpenBLAS-0.2.14-LAPACK-3.5.0</br>2.0.2-gompi-2015g-OpenBLAS-0.2.14-LAPACK-3.5.0</br>2.0.2-gompi-2016a-OpenBLAS-0.2.15-LAPACK-3.6.0.lua</nobr>|

## Phys

|Module|Description|Available versions|
|--|--|--|
|**[VASP](http://www.vasp.at)**|The Vienna Ab initio Simulation Package (VASP) is a computer program for atomic scale materials modelling, e.g. electronic structure calculations and quantum-mechanical molecular dynamics, from first principles.|<nobr>5.4.1-intel-2015b-24Jun15-UV</nobr>|

## System

|Module|Description|Available versions|
|--|--|--|
|**[hwloc](http://www.open-mpi.org/projects/hwloc/)**|The Portable Hardware Locality (hwloc) software package provides a portable abstraction (across OS, versions, architectures, ...) of the hierarchical topology of modern architectures, including NUMA memory nodes, sockets, shared caches, cores and simultaneous multithreading. It also gathers various system attributes such as cache and memory information as well as the locality of I/O devices such as network interfaces, InfiniBand HCAs or GPUs. It primarily aims at helping applications with gathering information about modern computing hardware so as to exploit it accordingly and efficiently.|<nobr>1.11.0-GNU-4.9.3-2.25</br>1.11.0-GNU-5.1.0-2.25</br>1.11.2-GCC-4.9.3-2.25.lua</nobr>|

## Toolchain

|Module|Description|Available versions|
|--|--|--|
|**[foss]((none))**|GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support, OpenBLAS (BLAS and LAPACK support), FFTW and ScaLAPACK.|<nobr>2015b</br>2015e</br>2015g</br>2016a.lua</nobr>|
|**[GNU](http://www.gnu.org/software/)**|Compiler-only toolchain with GCC and binutils.|<nobr>4.9.3-2.25</br>5.1.0-2.25</nobr>|
|**[gompi]((none))**|GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support.|<nobr>2015g</br>2015b</br>2015e</br>2016a.lua</nobr>|
|**[iccifort](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/)**|Intel C, C++ and Fortran compilers|<nobr>2015.3.187-GNU-5.1.0-2.25</br>2017.0.098-GCC-5.4.0-2.26.lua</nobr>|
|**[iimpi](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/)**|Intel C/C++ and Fortran compilers, alongside Intel MPI.|<nobr>7.3.5-GNU-5.1.0-2.25</br>2017.00-GCC-5.4.0-2.26.lua</nobr>|
|**[intel](http://software.intel.com/en-us/intel-cluster-toolkit-compiler/)**|Intel Cluster Toolkit Compiler Edition provides Intel C/C++ and Fortran compilers, Intel MPI & Intel MKL.|<nobr>2015b</br>2017.00.lua</nobr>|
|**[PRACE](http://www.prace-ri.eu/PRACE-Common-Production)**|The PRACE Common Production Environment (PCPE) is a set of software tools and libraries that are planned to be available on all PRACE execution sites. The PCPE also defines a set of environment variables that try to make compilation on all sites as homogeneous and simple as possible.|<nobr>20150630-intel-2015b</nobr>|

## Tools

|Module|Description|Available versions|
|--|--|--|
|**[Bash](http://www.gnu.org/software/bash)**|Bash is an sh-compatible command language interpreter that executes commands read from the standard input or from a file. Bash also incorporates useful features from the Korn and C shells (ksh and csh).|<nobr>4.2-intel-2015b</nobr>|
|**[binutils](http://directory.fsf.org/project/binutils/)**|binutils: GNU binary utilities|<nobr>2.25-GCC-4.9.3-binutils-2.25</br>2.25</br>2.25-GCC-5.1.0-binutils-2.25</br>2.26.lua</br>2.26-GCCcore-5.4.0.lua</br>2.27.lua</br>2.27-GCCcore-6.2.0.lua</br>2.25-GCCcore-4.9.3.lua</nobr>|
|**[bzip2](http://www.bzip.org/)**|bzip2 is a freely available, patent free, high-quality data compressor. It typically compresses files to within 10% to 15% of the best available techniques (the PPM family of statistical compressors), whilst being around twice as fast at compression and six times faster at decompression.|<nobr>1.0.6-intel-2015b</br>1.0.6-foss-2015g</br>1.0.6-foss-2015b</br>1.0.6-intel-2017.00.lua</br>1.0.6-foss-2016a.lua</nobr>|
|**[cURL](http://curl.haxx.se)**|libcurl is a free and easy-to-use client-side URL transfer library, supporting DICT, FILE, FTP, FTPS, Gopher, HTTP, HTTPS, IMAP, IMAPS, LDAP, LDAPS, POP3, POP3S, RTMP, RTSP, SCP, SFTP, SMTP, SMTPS, Telnet and TFTP. libcurl supports SSL certificates, HTTP POST, HTTP PUT, FTP uploading, HTTP form based upload, proxies, cookies, user+password authentication (Basic, Digest, NTLM, Negotiate, Kerberos), file transfer resume, http proxy tunneling and more.|<nobr>7.37.1-intel-2015b</br>7.45.0-foss-2015b</br>7.37.1.lua</br>7.51.0-intel-2017.00.lua</nobr>|
|**[EasyBuild](http://hpcugent.github.com/easybuild/)**|EasyBuild is a software build and installation framework written in Python that allows you to install software in a structured, repeatable and robust way.|<nobr>3.0.2</nobr>|
|**[expat](http://expat.sourceforge.net/)**|Expat is an XML parser library written in C. It is a stream-oriented parser in which an application registers handlers for things the parser might find in the XML document (like start tags)|<nobr>2.1.0-foss-2015b</br>2.1.0.lua</br>2.1.0-intel-2017.00.lua</nobr>|
|**git**|&nbsp;|<nobr>2.8.0-intel-2017.00.lua</br>2.11.0-intel-2017.00.lua</nobr>|
|**[gzip](http://www.gnu.org/software/gzip/)**|gzip (GNU zip) is a popular data compression program as a replacement for compress|<nobr>1.6-foss-2015g</nobr>|
|**MATLAB**|&nbsp;|<nobr>2015a-COM</br>2015a-EDU</nobr>|
|**[Mercurial](http://mercurial.selenic.com/)**|Mercurial is a free, distributed source control management tool. It efficiently handles projects of any size and offers an easy and intuitive interface.|<nobr>3.7.3-foss-2015g-Python-2.7.9</nobr>|
|**[numactl](http://oss.sgi.com/projects/libnuma/)**|The numactl program allows you to run your application program on specific cpu's and memory nodes. It does this by supplying a NUMA memory policy to the operating system before running your program. The libnuma library provides convenient ways for you to add NUMA memory policies into your own program.|<nobr>2.0.10-GNU-4.9.3-2.25</br>2.0.10-GNU-5.1.0-2.25</br>2.0.11-GCC-4.9.3-2.25.lua</nobr>|
|**pigz**|&nbsp;|<nobr>2.3.3-GCC-6.2.0-2.27.lua</nobr>|
|**[QEMU](http://wiki.qemu.org/Main_Page)**|QEMU is a generic and open source machine emulator and virtualizer.|<nobr>2.1.2-foss-2015b</br>2.1.2-GCC-4.4.7-system</br>2.1.2-GCC-4.4.7-system-VDE2</nobr>|
|**[Szip](http://www.hdfgroup.org/doc_resource/SZIP/)**|Szip compression software, providing lossless compression of scientific data|<nobr>2.1-intel-2015b</br>2.1-foss-2015b</br>2.1-foss-2016a.lua</nobr>|
|**[tcsh](http://www.tcsh.org)**|Tcsh is an enhanced, but completely compatible version of the Berkeley UNIX C shell (csh). It is a command language interpreter usable both as an interactive login shell and a shell script command processor. It includes a command-line editor, programmable word completion, spelling correction, a history mechanism, job control and a C-like syntax.|<nobr>6.18.01-intel-2015b</nobr>|
|**[VDE2](http://vde.sourceforge.net)**|VDE is an ethernet compliant virtual network that can be spawned over a set of physical computer over the Internet. VDE is part of virtualsquare project.|<nobr>2.3.2-GCC-4.4.7-system</nobr>|
|**[VTune](http://software.intel.com/en-us/intel-vtune-amplifier-xe)**|Intel VTune Amplifier XE 2016 is the premier performance profiler for C, C++, C#, Fortran, Assembly and Java.|<nobr>2016_update1</nobr>|
|**XZ**|&nbsp;|<nobr>5.2.2-intel-2017.00.lua</br>5.2.2-foss-2016a.lua</nobr>|

## Vis

|Module|Description|Available versions|
|--|--|--|
|**[gettext](http://www.gnu.org/software/gettext/)**|GNU `gettext' is an important step for the GNU Translation Project, as it is an asset on which we may build many other steps. This package offers to programmers, translators, and even users, a well integrated set of tools and documentation|<nobr>0.19.2-intel-2015b</br>0.19.2-foss-2015b</br>0.19.4-GCC-4.4.7-system</br>0.19.2.lua</br>0.19.7-intel-2017.00.lua</br>0.19.6-foss-2016a.lua</nobr>|
|**[GLib](http://www.gtk.org/)**|GLib is one of the base libraries of the GTK+ project|<nobr>2.40.0-intel-2015b</br>2.40.0-foss-2015b</br>2.40.0-GCC-4.4.7-system</nobr>|
|**[Tk](http://www.tcl.tk/)**|Tk is an open source, cross-platform widget toolchain that provides a library of basic elements for building a graphical user interface (GUI) in many different programming languages.|<nobr>8.5.12-intel-2015b</br>8.6.3-foss-2015b-no-X11</br>8.6.4-foss-2015b-no-X11</br>8.6.4-intel-2017.00-no-X11.lua</br>8.6.4-foss-2016a-no-X11.lua</nobr>|
|**[VisIt](https://wci.llnl.gov/simulation/computer-codes/visit)**|VisIt is an Open Source, interactive, scalable, visualization, animation and analysis tool|<nobr>2.10.0</nobr>|
